Subject: Re: [dnsext] DNAME?

From: [email-masked]
Date: Fri, 01 Jul 2011 10:58:29 +1000

------- Blind-Carbon-Copy

To: "Jon F." <[email-masked]>
Cc: Timothe Litt <[email-masked]>, [email-masked]
From: Mark Andrews <[email-masked]>
References: <[email-masked]> <BANLkTim=[email-masked]>
Subject: Re: DNAME?
In-reply-to: Your message of "Thu, 30 Jun 2011 15:10:38 EST."
             <BANLkTim=[email-masked]>
Date: Fri, 01 Jul 2011 10:58:29 +1000

In message <BANLkTim=[email-masked]>, "Jon F." write
s:
> I have a similar set up to that and it works. Have you checked the logs to
> make sure the zone properly loaded? I'm assuming the zone data you posted
> below is from the example.us zone but your first question makes it sound
> like you put it in a seperate zone. That would explain the SERVFAIL if the
> zone data never loaded but the server was authoritative. It does need to be
> in the .us.
> 
> 
> ;; ANSWER SECTION:
> example.com.           60      IN      DNAME   example.net.
> test.example.com.     60      IN      CNAME   test.example.net.
> test.example.net.       60      IN      A       127.0.0.1
> 
> 
> 
> And that's with zone data like this:
> example.com.  IN NS ns1.example.net.
> example.com.   IN NS ns2.example.net.
> example.com.  IN A 10.0.0.1
> example.com. IN DNAME example.net.
> 
> 
> Truthfully I haven't looked at DNAME's in a long time so I'm unsure how to
> do it fully for a domain without adding an A record as well. But what your
> doing works, it's just not very pretty. Someone may have a better way.

There is an outstanding proposals for BNAME.  This would be added
to the parent zone instead of NS records and would synthesis CNAMEs
records for the domain and its children.

This has got bogged down in IETF politics over how to fix idn rather
that be allowed to stand on its own merits.

Mark
- -- 
Mark Andrews, ISC
1 Seymour St., Dundas Valley, NSW 2117, Australia
PHONE: +61 2 9871 4742                 INTERNET: [email-masked]

------- End of Blind-Carbon-Copy